from django.contrib.auth.decorators import login_required
from django.http import HttpRequest
from django.shortcuts import render

from konova.contexts import BaseContext


@login_required
def index_view(request: HttpRequest):
    """ Renders the user's data index view

    Args:
        request ():

    Returns:

    """
    template = "user/index.html"
    context = {
        "user": request.user,
    }
    context = BaseContext(request, context).context
    return render(request, template, context)
